Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.infodesire.infobit
Class InfobitSecurityException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.infodesire.infobit.InfobitSecurityException

All Implemented Interfaces:
  java.io.Serializable

public class InfobitSecurityException
extends java.lang.Exception

exception indicating that current user was not allowed to perform certain action. All constructors are derived from `Exception`

Version:
  $Revision: 1.2 $
Author:
  konstantin
See Also:
  Serialized Form

Constructor Summary
`InfobitSecurityException()` default constructor
`InfobitSecurityException(java.lang.String msg)` specify message
`InfobitSecurityException(java.lang.String msg, java.lang.Throwable cause)` specify message and cause
`InfobitSecurityException(java.lang.Throwable cause)` specify cause

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InfobitSecurityException

    public InfobitSecurityException()

  default constructor

### InfobitSecurityException

    public InfobitSecurityException(java.lang.String msg)

  specify message

Parameters:
  `msg` - exception message

### InfobitSecurityException

    public InfobitSecurityException(java.lang.String msg,
                                    java.lang.Throwable cause)

  specify message and cause

Parameters:
  `msg` - exception message
  `cause` - cause of exception

### InfobitSecurityException

    public InfobitSecurityException(java.lang.Throwable cause)

  specify cause

Parameters:
  `cause` - cause of exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Information Desire GmbH. All Rights Reserved.